{                                                                           }
{ File:       ConvertListFrames.pas                                         }
{ Function:   List frames for options dialog of conversion pack.            }
{ Language:   Delphi for Win32                                              }
{ Author:     Rudy Velthuis                                                 }
{ Copyright:  (c) 2008 Rudy Velthuis                                        }
{ Disclaimer: This code is freeware. All rights are reserved.               }
{             This code is provided as is, expressly without a warranty     }
{             of any kind. You use it at your own risk.                     }
{                                                                           }
{             If you use this code, please credit me.                       }
{                                                                           }

unit ConvertListFrames;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, 
  Dialogs, StdCtrls, Grids, ValEdit;

type
  TValueListFrame = class(TFrame)
    DownButton: TButton;
    UpButton: TButton;
    ClearButton: TButton;
    DeleteButton: TButton;
    InsertButton: TButton;
    ValueList: TValueListEditor;
    ExplanationLabel: TLabel;
    CaptionLabel: TLabel;
    procedure InsertButtonClick(Sender: TObject);
    procedure DeleteButtonClick(Sender: TObject);
    procedure ClearButtonClick(Sender: TObject);
    procedure UpButtonClick(Sender: TObject);
    procedure DownButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

procedure TValueListFrame.ClearButtonClick(Sender: TObject);
begin
  ValueList.Strings.Clear;
end;

procedure TValueListFrame.DeleteButtonClick(Sender: TObject);
begin
  ValueList.DeleteRow(ValueList.Row);
  ValueList.SetFocus;
end;

procedure TValueListFrame.DownButtonClick(Sender: TObject);
begin
  if ValueList.Row < ValueList.RowCount - 1 then
  begin
    ValueList.Strings.Move(ValueList.Row - 1, ValueList.Row);
    ValueList.Row := ValueList.Row + 1;
    ValueList.SetFocus;
  end;
end;

procedure TValueListFrame.InsertButtonClick(Sender: TObject);
begin
  ValueList.InsertRow('', '', False);
  ValueList.SetFocus;
end;

procedure TValueListFrame.UpButtonClick(Sender: TObject);
begin
  if ValueList.Row > 1 then
  begin
    ValueList.Strings.Move(ValueList.Row - 1, ValueList.Row - 2);
    ValueList.Row := ValueList.Row - 1;
    ValueList.SetFocus;
  end;
end;

end.

